// ***************************************************************
//  EntShow - date created: 04/30/2006
//  Programmer(s):  Seth A. Robinson (seth@rtsoft.com) 
//  Copyright (C) 2006 Robinson Technologies - All Rights Reserved

#ifndef EntShow_HEADER_INCLUDED // include guard
#define EntShow_HEADER_INCLUDED  // include guard
#include "Entity.h"

class EntShow:public Entity
{
public:

    EntShow();
    virtual ~EntShow();

	void SetupText(const string &text, CL_Vector2 v);
	virtual void Render();
	void SetupPic(const string &file, CL_Vector2 v);
	void SetKillOnFinish(bool bNew) {m_bKillOnFinish = bNew;}

	virtual void OnMessage(Message &msg);

protected:

private:

	string m_msg;
	bool m_bKillOnFinish;
};

#endif                  // include guard